﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ReportViewerMVC.Controllers
{
    public class RelatorioPessoaMestreController : Controller
    {
        Models.DataSetRelatorio ds;

        // GET: RelatorioPessoaMestre
        public ActionResult Index()
        {
            ds = Models.DataSetRelatorio.ObterExemplo();

            var viewer = new Microsoft.Reporting.WebForms.ReportViewer();
            viewer.ProcessingMode = Microsoft.Reporting.WebForms.ProcessingMode.Local;
            viewer.LocalReport.ReportPath = Request.MapPath(Request.ApplicationPath) + @"Reports\ReportPessoaMestre.rdlc";
            viewer.LocalReport.DataSources.Add(new Microsoft.Reporting.WebForms.ReportDataSource("DataSetRelatorio", (System.Data.DataTable)ds.Pessoa));
            viewer.LocalReport.SubreportProcessing += LocalReport_SubreportProcessing;

            viewer.SizeToReportContent = true;
            viewer.Width = System.Web.UI.WebControls.Unit.Percentage(100);
            viewer.Height = System.Web.UI.WebControls.Unit.Percentage(100);

            ViewBag.ReportViewer = viewer;

            return View();
        }

        private void LocalReport_SubreportProcessing(object sender, Microsoft.Reporting.WebForms.SubreportProcessingEventArgs e)
        {
            e.DataSources.Add(new Microsoft.Reporting.WebForms.ReportDataSource("DataSetRelatorioDetalhe", (System.Data.DataTable)ds.Endereco));
        }
    }
}